<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>investment-oficial documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">investment-oficial documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content interface">
                   <div class="content-data">












<ol class="breadcrumb">
  <li>Interfaces</li>
  <li>InflationRateTable</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/core/result/proyect-result/proyect-result.component.ts</code>
        </p>



        <section>
            <h3 id="index">Index</h3>
            <table class="table table-sm table-bordered index-table">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <h6><b>Properties</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                        <a href="#est_pes_inf">est_pes_inf</a>
                                </li>
                                <li>
                                        <a href="#est_pes_inf1">est_pes_inf1</a>
                                </li>
                                <li>
                                        <a href="#est_pes_inf2">est_pes_inf2</a>
                                </li>
                                <li>
                                        <a href="#year">year</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
                </tbody>
            </table>
        </section>



            <section>
                <h3 id="inputs">Properties</h3>
                    <table class="table table-sm table-bordered">
                        <tbody>
                                <tr>
                                    <td class="col-md-4">
                                        <a name="est_pes_inf"></a>
                                        <span class="name"><b>est_pes_inf</b><a href="#est_pes_inf"><span class="icon ion-ios-link"></span></a></span>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="col-md-4">
                                        <code>est_pes_inf:         <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
</code>
                                    </td>
                                </tr>


                                    <tr>
                                        <td class="col-md-4">
                                            <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>

                                        </td>
                                    </tr>





                        </tbody>
                    </table>
                    <table class="table table-sm table-bordered">
                        <tbody>
                                <tr>
                                    <td class="col-md-4">
                                        <a name="est_pes_inf1"></a>
                                        <span class="name"><b>est_pes_inf1</b><a href="#est_pes_inf1"><span class="icon ion-ios-link"></span></a></span>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="col-md-4">
                                        <code>est_pes_inf1:         <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
</code>
                                    </td>
                                </tr>


                                    <tr>
                                        <td class="col-md-4">
                                            <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>

                                        </td>
                                    </tr>





                        </tbody>
                    </table>
                    <table class="table table-sm table-bordered">
                        <tbody>
                                <tr>
                                    <td class="col-md-4">
                                        <a name="est_pes_inf2"></a>
                                        <span class="name"><b>est_pes_inf2</b><a href="#est_pes_inf2"><span class="icon ion-ios-link"></span></a></span>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="col-md-4">
                                        <code>est_pes_inf2:         <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
</code>
                                    </td>
                                </tr>


                                    <tr>
                                        <td class="col-md-4">
                                            <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>

                                        </td>
                                    </tr>





                        </tbody>
                    </table>
                    <table class="table table-sm table-bordered">
                        <tbody>
                                <tr>
                                    <td class="col-md-4">
                                        <a name="year"></a>
                                        <span class="name"><b>year</b><a href="#year"><span class="icon ion-ios-link"></span></a></span>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="col-md-4">
                                        <code>year:         <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
</code>
                                    </td>
                                </tr>


                                    <tr>
                                        <td class="col-md-4">
                                            <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>

                                        </td>
                                    </tr>





                        </tbody>
                    </table>
            </section>
    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &#x27;@angular/core&#x27;;
import { DataProyectService } from &#x27;src/app/service/data-proyect.service&#x27;;
import { ChartOptions, ChartType } from &#x27;chart.js&#x27;;

export interface DataInputIncomming {
  date: string;
  est_pes: number;
  weight: number;
  symbol: string;
}
export interface InflationRateTable
{
  year: number;
  est_pes_inf: number;
  est_pes_inf1: number;
  est_pes_inf2: number;
}

const INCOMING_DATA_INPUTS: DataInputIncomming[] &#x3D; [
  {date: &#x27;Activo fijo inicial&#x27;, est_pes: -100000, weight: 1.0079, symbol: &#x27;H&#x27;},
  {date: &#x27;Activo Circulante Corriente&#x27;, est_pes: -30000, weight: 4.0026, symbol: &#x27;He&#x27;},
  {date: &#x27;Flujo Antes de Impuestos&#x27;, est_pes: 40000, weight: 6.941, symbol: &#x27;Li&#x27;},
];
const INFLATION_RATE_TABLE: InflationRateTable[] &#x3D;
[
  { year: 1, est_pes_inf: 18, est_pes_inf1: 18, est_pes_inf2: 27 },
  { year: 2, est_pes_inf: 22, est_pes_inf1: 11, est_pes_inf2: 78 },
  { year: 3, est_pes_inf: 35, est_pes_inf1: 18, est_pes_inf2: 27 },
  { year: 1, est_pes_inf: 18, est_pes_inf1: 18, est_pes_inf2: 27 },
  { year: 2, est_pes_inf: 22, est_pes_inf1: 11, est_pes_inf2: 78 }
];


export interface FlujoNeto {
  flujo: number;
  anio: number;
}
@Component({
  selector: &#x27;app-proyect-result&#x27;,
  templateUrl: &#x27;./proyect-result.component.html&#x27;,
  styleUrls: [&#x27;./proyect-result.component.css&#x27;]
})
export class ProyectResultComponent implements OnInit {
  dataInputColumns: string[] &#x3D; [&#x27;date&#x27;, &#x27;est_pes&#x27;, &#x27;weight&#x27;, &#x27;symbol&#x27;];
  dataInputSource &#x3D; INCOMING_DATA_INPUTS;

  inflationRateColums: string[] &#x3D; [&#x27;year&#x27;, &#x27;est_pes_inf&#x27;, &#x27;est_pes_inf1&#x27;, &#x27;est_pes_inf2&#x27;];
  inflationRateSource &#x3D; INFLATION_RATE_TABLE;
  public lineChartOptions: (ChartOptions &amp; { annotation: any }) &#x3D; {
    responsive: true,
    scales: {
      // We use this empty structure as a placeholder for dynamic theming.
      xAxes: [{}],
      yAxes: [
        {
          id: &#x27;y-axis-0&#x27;,
          position: &#x27;left&#x27;,
        },
        {
          id: &#x27;y-axis-1&#x27;,
          position: &#x27;right&#x27;,
          gridLines: {
            color: &#x27;rgba(255,0,0,0.3)&#x27;,
          },
          ticks: {
            fontColor: &#x27;red&#x27;,
          }
        }
      ]
    },
    annotation: {
      annotations: [
        {
          type: &#x27;line&#x27;,
          mode: &#x27;vertical&#x27;,
          scaleID: &#x27;x-axis-0&#x27;,
          value: &#x27;March&#x27;,
          borderColor: &#x27;orange&#x27;,
          borderWidth: 2,
          label: {
            enabled: true,
            fontColor: &#x27;orange&#x27;,
            content: &#x27;LineAnno&#x27;
          }
        },
      ],
    },
  };
  public lineChartLegend &#x3D; true;
  public lineChartType: ChartType &#x3D; &#x27;line&#x27;;

  tir: number;
  aprove: boolean;
  denied: boolean;
  nameProyect: any;
  year: number;
  displayedColumns &#x3D; [&#x27;anio&#x27;, &#x27;flujo&#x27;];
  flujoNeto: FlujoNeto[];
  inversion: any;
  lineChartLabels: any[];

  constructor(private dataProyectService: DataProyectService) { }

  ngOnInit(): void {
    this.verifyEscenary();
  }
  verifyEscenary(): any {
    const idResult &#x3D; localStorage.getItem(&#x27;id_dataFirst&#x27;);
    const idProyect &#x3D; localStorage.getItem(&#x27;id_proy&#x27;);
    this.dataProyectService.getFirstResult(idResult).subscribe(
      res &#x3D;&gt; {
        this.buildTableFlujo(res.fjNeto, res.year);
        this.inversion &#x3D; res.invertion;
        this.tir &#x3D; res.tir * 100;
        if (this.tir &gt; 30) {
          this.aprove &#x3D; true;
        }else {
          this.denied &#x3D; true;
        }
        console.log(res);
        console.log(this.tir);
      }, error &#x3D;&gt; {
        console.log(error);
      }
    );
    this.dataProyectService.getFirstData(idResult).subscribe(
      res &#x3D;&gt; {
        this.year &#x3D; res.year;
        console.log(res);
      }, error &#x3D;&gt; {
        console.log(error);
      }
    );
    this.dataProyectService.getNameProyect(idProyect).subscribe(
      res &#x3D;&gt; {
        this.nameProyect &#x3D; res.name;
        console.log(res);
      }, error &#x3D;&gt; {
        console.log(error);
      }
    );
  }
  buildTableFlujo(fjNeto, year: number): any {
    const arrayAux &#x3D; [];
    const arraAuxSecond &#x3D; [];
    for (let i &#x3D; 0; i &lt; fjNeto.length; i++) {
      const flujo &#x3D; {
        anio: i + 1,
        flujo: fjNeto[i]
      };
      const label &#x3D; &#x27;Año &#x27; + i + 1;
      arraAuxSecond.push(label);
      arrayAux.push(flujo);
    }
    this.lineChartLabels &#x3D; arraAuxSecond;
    this.flujoNeto &#x3D; arrayAux;
    console.log(this.flujoNeto);
  }

}
</code></pre>
    </div>
</div>


                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'interface';
            var COMPODOC_CURRENT_PAGE_URL = 'InflationRateTable.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
